NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.SimBcXyPlotBuilder Class Reference

Represents a NXOpen.CAE.SimBcXyPlotBuilder builder which can be used to generate a XY plot of a NXOpen.CAE.SimBC in the graphics area. More...

Inheritance diagram for NXOpen.CAE.SimBcXyPlotBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ResolveMultipleMatches {
  Add, Average, Minimum, Maximum,
  MultipleCurves
}
 Resolve multiple matches when the location specified matches multiple items in the boundary condition's target set More...
 

Public Member Functions

unsafe NXOpen.CAE.SimBC[] GetAvailableBcsToPlot ()
 Returns all available NXOpen.CAE.SimBC to plot More...
 
unsafe string[] GetAvailablePropertyNamesToPlot (NXOpen.CAE.SimBC tBc)
 Returns all available property names that can be plotted for the specified NXOpen.CAE.SimBC More...
 
unsafe NXOpen.CAE.Xyplot.Plot Plot (int deviceIndex, int viewIndex)
 Creates XY plot More...
 
unsafe void SetBcsToPlot (NXOpen.CAE.SimBC[] bcs, string[] propertyNames)
 Sets NXOpen.CAE.SimBC objects to plot. More...
 
unsafe void SetBcsToPlot (NXOpen.CAE.SimBC[] bcs)
 Sets NXOpen.CAE.SimBC objects to plot. More...
 
unsafe void SetLocationElement (NXOpen.CAE.FEElement element)
 Sets location at an element More...
 
unsafe void SetLocationElementEdge (NXOpen.CAE.FEElemEdge elementEdge)
 Sets location at an element edge More...
 
unsafe void SetLocationElementFace (NXOpen.CAE.FEElemFace elementFace)
 Sets location at an element face More...
 
unsafe void SetLocationNode (NXOpen.CAE.FENode node)
 Sets location at a node More...
 
unsafe void SetPropertyNameToPlot (string pPropertyName)
 Sets property name to plot. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAE.SimBcXyPlotBuilder.ResolveMultipleMatches 
MultipleMatches [get, set]
 Returns or sets a NXOpen.CAE.SimBcXyPlotBuilder.ResolveMultipleMatches used in plot to resolve multiple values More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.SimBcXyPlotBuilder builder which can be used to generate a XY plot of a NXOpen.CAE.SimBC in the graphics area.

This is limited to NXOpen.CAE.SimBC objects in the active solution.

To create a new instance of this class, use NXOpen.CAE.SimSimulation.CreateSimBcXyPlotBuilder

Created in NX9.0.0

Member Enumeration Documentation

Resolve multiple matches when the location specified matches multiple items in the boundary condition's target set

Enumerator
Add 
Average 
Minimum 
Maximum 
MultipleCurves 

Member Function Documentation

unsafe NXOpen.CAE.SimBC [] NXOpen.CAE.SimBcXyPlotBuilder.GetAvailableBcsToPlot ( )
inline

Returns all available NXOpen.CAE.SimBC to plot

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe string [] NXOpen.CAE.SimBcXyPlotBuilder.GetAvailablePropertyNamesToPlot ( NXOpen.CAE.SimBC  tBc)
inline

Returns all available property names that can be plotted for the specified NXOpen.CAE.SimBC

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
tBc
Returns
unsafe NXOpen.CAE.Xyplot.Plot NXOpen.CAE.SimBcXyPlotBuilder.Plot ( int  deviceIndex,
int  viewIndex 
)
inline

Creates XY plot

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
deviceIndexdevice index
viewIndexview index
Returns
Created plot
unsafe void NXOpen.CAE.SimBcXyPlotBuilder.SetBcsToPlot ( NXOpen.CAE.SimBC[]  bcs,
string[]  propertyNames 
)
inline

Sets NXOpen.CAE.SimBC objects to plot.

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
bcsboundary conditions to plot
propertyNamesproperty names to plot
unsafe void NXOpen.CAE.SimBcXyPlotBuilder.SetBcsToPlot ( NXOpen.CAE.SimBC[]  bcs)
inline

Sets NXOpen.CAE.SimBC objects to plot.

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
bcsboundary conditions to plot
unsafe void NXOpen.CAE.SimBcXyPlotBuilder.SetLocationElement ( NXOpen.CAE.FEElement  element)
inline

Sets location at an element

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
elementelement
unsafe void NXOpen.CAE.SimBcXyPlotBuilder.SetLocationElementEdge ( NXOpen.CAE.FEElemEdge  elementEdge)
inline

Sets location at an element edge

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
elementEdgeelement edge
unsafe void NXOpen.CAE.SimBcXyPlotBuilder.SetLocationElementFace ( NXOpen.CAE.FEElemFace  elementFace)
inline

Sets location at an element face

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
elementFaceelement face
unsafe void NXOpen.CAE.SimBcXyPlotBuilder.SetLocationNode ( NXOpen.CAE.FENode  node)
inline

Sets location at a node

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
nodenode
unsafe void NXOpen.CAE.SimBcXyPlotBuilder.SetPropertyNameToPlot ( string  pPropertyName)
inline

Sets property name to plot.

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
pPropertyName

Property Documentation

unsafe NXOpen.CAE.SimBcXyPlotBuilder.ResolveMultipleMatches NXOpen.CAE.SimBcXyPlotBuilder.MultipleMatches
getset

Returns or sets a NXOpen.CAE.SimBcXyPlotBuilder.ResolveMultipleMatches used in plot to resolve multiple values

Created in NX9.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.